﻿using Microsoft.Extensions.DependencyInjection;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;
using AnimeNotifier.Application.Services;

namespace AnimeNotifier.Application.Configuration
{
    public static class ApplicationRegistrar
    {
        public static IServiceCollection AddApplication(this IServiceCollection services, Instance browser, IZennoPosterProjectModel zenno)
        {
            services
                .AddScoped<Instance>(opt => browser)
                .AddScoped<IZennoPosterProjectModel>(opt => zenno)
                .AddScoped<HelloWorldService>();

            return services;
        }
    }
}