﻿using Microsoft.Extensions.Hosting;
using Microsoft.Extensions.DependencyInjection;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;
using AnimeNotifier.Application.Configuration;
using AnimeNotifier.Application.Services;

namespace AnimeNotifier.Application
{
    public class Program : IZennoExternalCode
    {
        public int Execute(Instance instance, IZennoPosterProjectModel project)
        {
            var host = CreateHostBuilder(instance, project).Build();

            var helloWorldService = host.Services.GetRequiredService<HelloWorldService>();

            helloWorldService.Run();

            return 0;
        }

        private static IHostBuilder CreateHostBuilder(Instance browser, IZennoPosterProjectModel zenno) => Host
            .CreateDefaultBuilder()
            .ConfigureServices(services => services.AddApplication(browser, zenno));
    }
}